Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.util
Class WsasUtils

    java.lang.Object
      org.wso2.wsas.util.WsasUtils

    public class WsasUtils

extends java.lang.Object

A collection of useful utility methods

Constructor Summary
`WsasUtils()`

Method Summary
`static java.lang.String` | `getAxis2Xml()`
`static int` | `getCommandListenerPort()` Get the port of the command listener.
`static java.lang.String` | `getWsasServerXml()`
`static boolean` | `isAdminConsoleEnabled()`
`static boolean` | `isURL(java.lang.String location)` Check whther the specified Strin corresponds to a URL
`static java.lang.Long` | `lastUpdatedTime(org.apache.axis2.description.AxisServiceGroup serviceGroup)` Get the last updated time of the service artifact corresponding to AxisServiceGroup serviceGroup
`static void` | `setServletContextProperties(javax.servlet.ServletContext servletContext, java.util.Map generatedPages, boolean isAdminConsoleEnabled, int httpPort, int httpsPort, java.lang.String servicePath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsasUtils

    public WsasUtils()

Method Detail

### isAdminConsoleEnabled

    public static boolean isAdminConsoleEnabled()

### setServletContextProperties

    public static void setServletContextProperties(javax.servlet.ServletContext servletContext,
                                                   java.util.Map generatedPages,
                                                   boolean isAdminConsoleEnabled,
                                                   int httpPort,
                                                   int httpsPort,
                                                   java.lang.String servicePath)
                                            throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### getAxis2Xml

    public static java.lang.String getAxis2Xml()

### getWsasServerXml

    public static java.lang.String getWsasServerXml()

### isURL

    public static boolean isURL(java.lang.String location)

  Check whther the specified Strin corresponds to a URL

  Parameters:
    `location` - The String to be checked
  Returns:
    true - if `location` is a URL, false - otherwise

### lastUpdatedTime

    public static java.lang.Long lastUpdatedTime(org.apache.axis2.description.AxisServiceGroup serviceGroup)

  Get the last updated time of the service artifact corresponding to AxisServiceGroup serviceGroup

  Parameters:
    `serviceGroup` - The service group whose last updated time we need to get
  Returns:
    The last updated time of the service artifact corresponding to AxisServiceGroup serviceGroup. Will return null if a Axis2 URL repository is in use.

### getCommandListenerPort

    public static int getCommandListenerPort()

  Get the port of the command listener. A server socket is opened on this port to listen to incoming commands

  Returns:
    The command listener port

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD